CVE-2017-11190

NameCVE-2017-11190
Descriptionunrarlib.c in unrar-free 0.0.1, when _DEBUG_LOG mode is enabled, might allow remote attackers to cause a denial of service (stack-based buffer overflow and application crash) or possibly have unspecified other impact via an RAR archive containing a long filename.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
unrar-free (PTS)jessie, stretch1:0.0.1+cvs20140707-1vulnerable
buster, sid1:0.0.1+cvs20140707-4vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
unrar-freesource(unstable)(unfixed)unimportant

Notes

Affected debug code not enabled

Search for package or bug name: Reporting problems